std::atomic::fetch_xor(3)

NAME
std::atomic::fetch_xor - std::atomic::fetch_xor

Synopsis
   member only of atomic<Integral > specializations
   T fetch_xor( T arg, std::memory_order order = (1) (since C++11)
                        std::memory_order_seq_cst ) noexcept;
   T fetch_xor( T arg, std::memory_order order =
                        std::memory_order_seq_cst ) volatile (2) (since C++11)
   noexcept;
   Atomically replaces the current value with the result of bitwise XOR of the value
   and arg. The operation is read-modify-write operation. Memory is affected according
   to the value of order.
   It is deprecated if std::atomic<T>::is_always_lock_free is false and (since C++20)
   overload (2) participates in overload resolution.

Parameters
   arg - the other argument of bitwise XOR
   order - memory order constraints to enforce

Return value
   The value immediately preceding the effects of this function in the modification
   order of *this.

See also
   atomic_fetch_xor replaces the atomic object with the result of bitwise XOR
   atomic_fetch_xor_explicit with a non-atomic argument and obtains the previous value
   (C++11) of the atomic
   (C++11) (function template)